<?php
/***************************************************************************
 *                             admin_rp_rewards_log.php
 *                              -------------------
 *  begin               : Monday, May 12, 2005
 *  copyright           : (C) 2005 MentalMaze
 *  email               : NA
 *	Version				: 1.0.2 - 08/07/2005     
 *
****************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/
define('IN_PHPBB', 1);

if(!empty($setmodules))
{
	$filename = basename(__FILE__);
	$module['Referral_Plus']['View Reward Log'] = append_sid($filename);
	return;
}

$phpbb_root_path = './../';
require($phpbb_root_path . 'extension.inc');
require('pagestart.' . $phpEx);
include($phpbb_root_path . 'language/lang_' . $board_config['default_lang'] . '/lang_extend_rp.' . $phpEx);

$sql = "SELECT rp_id, refer_id, refer_new, rp_time
        FROM " . REFER_TOP_TABLE . "
               WHERE refer_id != '-1'
	       ORDER BY rp_id DESC";
if(!$result = $db->sql_query($sql))
{
		message_die(GENERAL_ERROR, $lang['Rp_error_data'], '', __LINE__, __FILE__, $sql);
}

if ( $row = $db->sql_fetchrow($result) )
{
	do
	{
               $refer_id = $row['refer_id'];
               settype($refer_id, 'integer');

               $sql = "SELECT COUNT(rp_id) AS rp_total
	               FROM " . REFER_TOP_TABLE . "
                       WHERE refer_id = $refer_id";
               if (!$result1 = $db->sql_query($sql) )
               {
		       message_die(GENERAL_ERROR, $lang['Rp_error_data'], '', __LINE__, __FILE__, $sql);
               }
			   $refer_top_total = array();
               $refer_top_total = $db->sql_fetchrow($result1);
               $refer_top_total = $refer_top_total['rp_total'];
       
               $registered_userdata = get_userdata($refer_id);
               if($registered_userdata)
               {
                      $temp_url = append_sid("../profile.$phpEx?mode=viewprofile&amp;" . POST_USERS_URL . "=" . $refer_id . '');
                      $rp_registered_username = '<a href="' . $temp_url . '">' . $registered_userdata['username'] . '</a>' . ' (' . $lang['Rp_admin_tell'] . ' ' . $refer_top_total . ' ' . $lang['Rp_total'] . ')';
               }
       
               $refer_new = $row['refer_new'];
               settype($refer_new, 'integer');
       
               $new_userdata = get_userdata($refer_new);
               if($new_userdata && $new_userdata['user_posts'] >= $board_config['rp_refer_new_posts'])
               {
                      $temp_url = append_sid("../profile.$phpEx?mode=viewprofile&amp;" . POST_USERS_URL . "=" . $new_userdata['user_id'] . '');
                      $rp_new_username = $temp_url . '" style="color:#006600">' . $new_userdata['username'] .' (' . $new_userdata['user_posts'] . ' ' . $lang['Posts'] . ')';
               }
               else
               {
                      $temp_url = append_sid("../profile.$phpEx?mode=viewprofile&amp;" . POST_USERS_URL . "=" . $new_userdata['user_id'] . '');
                      $rp_new_username = $temp_url . '" style="color:#990000">' . $new_userdata['username'] . ' (' . $new_userdata['user_posts'] . ' ' . $lang['Posts'] . ')';
               }

               $rp_date = create_date($board_config['default_dateformat'], $row['rp_time'], $board_config['board_timezone']);
		
               $row_color = ( !(2) ) ? $theme['td_color1'] : $theme['td_color2'];
               $row_class = ( !(2) ) ? $theme['td_class1'] : $theme['td_class2'];
		
               $template->assign_block_vars('refer_top', array(
	               'ROW_COLOR' => '#' . $row_color,
                       'ROW_CLASS' => $row_class,
	                
	               'RP_REGISTERED_USER' => $rp_registered_username,
  	               'RP_NEW_USER' => $rp_new_username,
	               'RP_DATE' => $rp_date)
               );
	}
       	while ($row = $db->sql_fetchrow($result));
}

$template->assign_vars(array(
	'RP_TIME' => $board_config['rp_time'],
	'L_RP_ENABLE' => $lang['Rp_enable'],
	'L_RP_RESETB_TITLE' => $lang['Rp_admin_resetb_title'],
	'L_RP_TIME_TITLE' => $lang['Rp_admin_time_title'],
    'L_RP_R_DESCRIPTION' => $lang['Rp_admin_r_description'],
    'L_RP_REGISTERED_NAME' => $lang['Rp_admin_registered_name'],
    'L_RP_NEW_NAME' => $lang['Rp_admin_new_name'],
    'L_RP_DATE' => $lang['Rp_admin_date'])
);

$template->set_filenames(array(
        'body' => 'admin/rp_rewards_log_body.tpl')
);

$template->pparse('body');

include('page_footer_admin.'.$phpEx);

?>
