<?php
/***************************************************************************
 *                              admin_rp_clean.php
 *                              -------------------
 *  begin               : Thursday, June 16, 2005
 *  copyright           : (C) 2005 MentalMaze
 *  email               : NA
 *	Version				: 0.2.3 - 08/07/2005   
 *
****************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/

define('IN_PHPBB', 1);

if( !empty($setmodules) )
{
	$filename = basename(__FILE__);
	$module['Referral_Plus']['Rewards: Users'] = $filename;

	return;
}

$phpbb_root_path = './../';
require($phpbb_root_path . 'extension.inc');
require('./pagestart.' . $phpEx);
include($phpbb_root_path . 'language/lang_' . $board_config['default_lang'] . '/lang_extend_rp.' . $phpEx);
// Much below based on wGEric's code for Admin userlist.
// Thanks wGEric... no more errors!!
// Mode
if( isset( $HTTP_POST_VARS['mode'] ) || isset( $HTTP_GET_VARS['mode'] ) )
{
	$mode = ( isset($HTTP_POST_VARS['mode']) ) ? $HTTP_POST_VARS['mode'] : $HTTP_GET_VARS['mode'];
}
else
{
	$mode = '';
}

// Confirm
if( isset( $HTTP_POST_VARS['confirm'] ) || isset( $HTTP_GET_VARS['confirm'] ) )
{
	$confirm = true;
}
else
{
	$confirm = false;
}

// Cancel
if( isset( $HTTP_POST_VARS['cancel'] ) || isset( $HTTP_GET_VARS['cancel'] ) )
{
	$cancel = true;
	$mode = '';
}
else
{
	$cancel = false;
}

//Start Here, don't want annonymous
$start = ( isset($HTTP_GET_VARS['start']) ) ? intval($HTTP_GET_VARS['start']) : 0;

// Users per page?
if ( isset($HTTP_GET_VARS['show']) || isset($HTTP_POST_VARS['show']) )
{
	$show = ( isset($HTTP_POST_VARS['show']) ) ? intval($HTTP_POST_VARS['show']) : intval($HTTP_GET_VARS['show']);
}
else
{
	$show = $board_config['posts_per_page'];
}

// What order to show? Oldest reg to newest

	$sort = 'user_regdate';

// end sort
	$user_ids = array();
// Get user ids
if ( isset($HTTP_POST_VARS[POST_USERS_URL]) || isset($HTTP_GET_VARS[POST_USERS_URL]) )
{
	$user_ids = ( isset($HTTP_POST_VARS[POST_USERS_URL]) ) ? $HTTP_POST_VARS[POST_USERS_URL] : $HTTP_GET_VARS[POST_USERS_URL];
}
else
{
	unset($user_ids);
}

// set switch
switch( $mode )
{
	case 'delete':

// Cancelled action?
		if ( $cancel )
		{
			redirect($phpbb_root_path . 'admin/admin_rp_clean.'.$phpEx);
		}

// Confirm action
		if ( !$confirm )
		{

		$i = 0;
		$hidden_fields = '';
		while( $i < count($user_ids) )
		{
			$user_id = intval($user_ids[$i]);
			$hidden_fields .= '<input type="hidden" name="' . POST_USERS_URL . '[]" value="' . $user_id . '"/>';

			unset($user_id);
			$i++;
		}

		$template->set_filenames(array(
			'body' => 'confirm_body.tpl')
		);
		$template->assign_vars(array(
			'MESSAGE_TITLE' => $lang['Rp_delete'],
			'MESSAGE_TEXT' => $lang['Confirm_user_deleted'],
			
			'U_INDEX' => '',
			'L_INDEX' => '',
			
			'L_YES' => $lang['Yes'],
			'L_NO' => $lang['No'],
				
			'S_CONFIRM_ACTION' => append_sid('admin_rp_clean.'.$phpEx.'?mode=delete'),
			'S_HIDDEN_FIELDS' => $hidden_fields)
		);
	}
	else
	{
// Delete users
		$i = 0;
		while( $i < count($user_ids) )
		{
			$user_id = intval($user_ids[$i]);

// Delete referrals and rewards
		$sql = "SELECT refer_id FROM " . REFER_PLUS_TABLE . " 
		WHERE refer_new = $user_id"; 
		if (!($result = $db->sql_query($sql)))
		{
			message_die(GENERAL_ERROR, $lang['Rp_error_data'], '', __LINE__, __FILE__, $sql);
		}
		while ( $row = $db->sql_fetchrow($result) ) 
		{

			$reward = $board_config['rp_reward'];
			if ( ($board_config['rp_rewards_enable']) )
			
			$sql = "UPDATE " . USERS_TABLE . "
			SET $reward = $reward - ".$board_config['rp_gold']."
			WHERE user_id = ".$row['refer_id'];
			if (!($result2 = $db->sql_query($sql)))
               { 
                   message_die(GENERAL_ERROR, $lang['Rp_error'] . $board_config['rp_reward'], '', __LINE__, __FILE__, $sql); 
               }
		}

		$sql = "DELETE FROM " . REFER_PLUS_TABLE . "
			WHERE refer_new = $user_id";
		if( !$db->sql_query($sql) )
		{
			message_die(GENERAL_ERROR, $lang['Rp_error_del_plus'], '', __LINE__, __FILE__, $sql);
		}

		$sql = "DELETE FROM " . REFER_TOP_TABLE . "
			WHERE refer_new = $user_id";
		if( !$db->sql_query($sql) )
		{
			message_die(GENERAL_ERROR, $lang['Rp_error_del_top'], '', __LINE__, __FILE__, $sql);
		}
// Shouldn't have to do most of this as user not active 
// and post count zero, but just in case. Pretty much right from admin_users
			$sql = "SELECT u.username, g.group_id 
				FROM " . USERS_TABLE . " u, " . USER_GROUP_TABLE . " ug, " . GROUPS_TABLE . " g  
				WHERE ug.user_id = $user_id 
					AND g.group_id = ug.group_id 
					AND g.group_single_user = 1";
			if( !($result = $db->sql_query($sql)) )
			{
				message_die(GENERAL_ERROR, 'Could not obtain group information for this user', '', __LINE__, __FILE__, $sql);
			}

			$row = $db->sql_fetchrow($result);

			$sql = "UPDATE " . POSTS_TABLE . "
				SET poster_id = " . DELETED . ", post_username = '" . str_replace("\\'", "''", addslashes($this_userdata['username'])) . "' 
				WHERE poster_id = $user_id";
			if( !$db->sql_query($sql) )
			{
				message_die(GENERAL_ERROR, 'Could not update posts for this user', '', __LINE__, __FILE__, $sql);
			}

			$sql = "UPDATE " . TOPICS_TABLE . "
				SET topic_poster = " . DELETED . " 
				WHERE topic_poster = $user_id";
			if( !$db->sql_query($sql) )
			{
				message_die(GENERAL_ERROR, 'Could not update topics for this user', '', __LINE__, __FILE__, $sql);
			}
				
			$sql = "UPDATE " . VOTE_USERS_TABLE . "
				SET vote_user_id = " . DELETED . "
				WHERE vote_user_id = $user_id";
			if( !$db->sql_query($sql) )
			{
				message_die(GENERAL_ERROR, 'Could not update votes for this user', '', __LINE__, __FILE__, $sql);
			}
				
			$sql = "SELECT group_id
				FROM " . GROUPS_TABLE . "
				WHERE group_moderator = $user_id";
			if( !($result = $db->sql_query($sql)) )
			{
				message_die(GENERAL_ERROR, 'Could not select groups where user was moderator', '', __LINE__, __FILE__, $sql);
			}
				
			while ( $row_group = $db->sql_fetchrow($result) )
			{
				$group_moderator[] = $row_group['group_id'];
			}
				
			if ( count($group_moderator) )
			{
				$update_moderator_id = implode(', ', $group_moderator);
					
				$sql = "UPDATE " . GROUPS_TABLE . "
					SET group_moderator = " . $userdata['user_id'] . "
					WHERE group_moderator IN ($update_moderator_id)";
				if( !$db->sql_query($sql) )
				{
					message_die(GENERAL_ERROR, 'Could not update group moderators', '', __LINE__, __FILE__, $sql);
				}
			}

			$sql = "DELETE FROM " . USERS_TABLE . "
				WHERE user_id = $user_id";
			if( !$db->sql_query($sql) )
			{
				message_die(GENERAL_ERROR, 'Could not delete user', '', __LINE__, __FILE__, $sql);
			}

			$sql = "DELETE FROM " . USER_GROUP_TABLE . "
				WHERE user_id = $user_id";
			if( !$db->sql_query($sql) )
			{
				message_die(GENERAL_ERROR, 'Could not delete user from user_group table', '', __LINE__, __FILE__, $sql);
			}

			$sql = "DELETE FROM " . GROUPS_TABLE . "
				WHERE group_id = " . $row['group_id'];
			if( !$db->sql_query($sql) )
			{
				message_die(GENERAL_ERROR, 'Could not delete group for this user', '', __LINE__, __FILE__, $sql);
			}

			$sql = "DELETE FROM " . AUTH_ACCESS_TABLE . "
				WHERE group_id = " . $row['group_id'];
			if( !$db->sql_query($sql) )
			{
				message_die(GENERAL_ERROR, 'Could not delete group for this user', '', __LINE__, __FILE__, $sql);
			}

			$sql = "DELETE FROM " . TOPICS_WATCH_TABLE . "
				WHERE user_id = $user_id";
			if ( !$db->sql_query($sql) )
			{
				message_die(GENERAL_ERROR, 'Could not delete user from topic watch table', '', __LINE__, __FILE__, $sql);
			}
				
			$sql = "DELETE FROM " . BANLIST_TABLE . "
				WHERE ban_userid = $user_id";
			if ( !$db->sql_query($sql) )
			{
				message_die(GENERAL_ERROR, 'Could not delete user from banlist table', '', __LINE__, __FILE__, $sql);
			}

			$sql = "SELECT privmsgs_id
				FROM " . PRIVMSGS_TABLE . "
				WHERE privmsgs_from_userid = $user_id 
					OR privmsgs_to_userid = $user_id";
			if ( !($result = $db->sql_query($sql)) )
			{
				message_die(GENERAL_ERROR, 'Could not select all users private messages', '', __LINE__, __FILE__, $sql);
			}

// From private messaging
			while ( $row_privmsgs = $db->sql_fetchrow($result) )
			{
				$mark_list[] = $row_privmsgs['privmsgs_id'];
			}
			
			if ( count($mark_list) )
			{
				$delete_sql_id = implode(', ', $mark_list);
					
				$delete_text_sql = "DELETE FROM " . PRIVMSGS_TEXT_TABLE . "
					WHERE privmsgs_text_id IN ($delete_sql_id)";
				$delete_sql = "DELETE FROM " . PRIVMSGS_TABLE . "
					WHERE privmsgs_id IN ($delete_sql_id)";
					
				if ( !$db->sql_query($delete_sql) )
				{
					message_die(GENERAL_ERROR, 'Could not delete private message info', '', __LINE__, __FILE__, $delete_sql);
				}
					
				if ( !$db->sql_query($delete_text_sql) )
				{
					message_die(GENERAL_ERROR, 'Could not delete private message text', '', __LINE__, __FILE__, $delete_text_sql);
				}
			}

			unset($user_id);
			$i++;
		}

		$message = $lang['User_deleted_successfully'] . "<br /><br />" . sprintf($lang['Click_return_referlist'], "<a href=\"" . append_sid("admin_rp_clean.$phpEx") . "\">", "</a>") . "<br /><br />" . sprintf($lang['Click_return_admin_index'], "<a href=\"" . append_sid("index.$phpEx?pane=right") . "\">", "</a>");

		message_die(GENERAL_MESSAGE, $message);
	}		
	break;
// start email
	case 'email':

// Cancelled action?
		if ( $cancel )
		{
			redirect($phpbb_root_path . 'admin/admin_rp_clean.'.$phpEx);
		}

// Confirm action
		if ( !$confirm )
		{
// Users to email
			$i = 0;
			$hidden_fields = '';
			while( $i < count($user_ids) )
			{
				$user_id = intval($user_ids[$i]);
				$hidden_fields .= '<input type="hidden" name="' . POST_USERS_URL . '[]" value="' . $user_id . '"/>';

				unset($user_id);
				$i++;
			}

		$template->set_filenames(array(
			'body' => 'confirm_body.tpl')
		);
		$template->assign_vars(array(
			'MESSAGE_TITLE' => $lang['Rp_email'],
			'MESSAGE_TEXT' => $lang['Rp_confirm_user_email'],
			
			'U_INDEX' => '',
			'L_INDEX' => '',
			
			'L_YES' => $lang['Yes'],
			'L_NO' => $lang['No'],
				
			'S_CONFIRM_ACTION' => append_sid('admin_rp_clean.'.$phpEx.'?mode=email'),
			'S_HIDDEN_FIELDS' => $hidden_fields)
		);

		}
		else
		{
// Set emailer
			include($phpbb_root_path . 'includes/emailer.'.$phpEx);
			$emailer = new emailer($board_config['smtp_delivery']);

			$i = 0;
			while( $i < count($user_ids) )
			{
				$user_id = intval($user_ids[$i]);
// Get users
				$sql = "SELECT user_id, username, user_email, user_lang  
					FROM " . USERS_TABLE . " 
					WHERE user_id = $user_id";
				if ( !($result = $db->sql_query($sql)) )
				{
					message_die(GENERAL_ERROR, "Could not get user information", $lang['Error'], __LINE__, __FILE__, $sql);
				}
				$row = $db->sql_fetchrow($result);
				
// Hopefully we have the users, so onward
				if ( !($db->sql_fetchrow($result)) )
				{

// Send the mail
					$server_name = trim($board_config['server_name']);
					$server_protocol = ( $board_config['cookie_secure'] ) ? 'https://' : 'http://';
					$server_port = ( $board_config['server_port'] <> 80 ) ? ':' . trim($board_config['server_port']) . '/' : '/';

					$server_url = $server_protocol . $server_name . $server_port . $script_name;

					$emailer->from($board_config['board_email']);
					$emailer->replyto($board_config['board_email']);

					$emailer->use_template('rp_clean_email', $row['user_lang']);
					$emailer->email_address($row['user_email']);
					$emailer->set_subject($board_config['sitename']);

					$emailer->assign_vars(array(
						'SITENAME' => $board_config['sitename'], 
						'FROM_USERNAME' => $userdata['username'],
						'L_RP_REG_BODY' => sprintf($lang['Rp_reg_body'], $row['username'], $board_config['sitename'], $board_config['rp_url'], $board_config['rp_email']),
						'L_RP_BOARD_BODY' => sprintf($lang['Rp_board_body'], $board_config['sitename'], $board_config['server_name'], $board_config['script_path'], $board_config['rp_board']),
						'L_RP_REG_REASON' => sprintf($lang['Rp_reg_reason'], $userdata['username']),
						'EMAIL_SIG' => (!empty($board_config['board_email_sig'])) ? str_replace('<br />', "\n", "-- \n" . $board_config['board_email_sig']) : '', 

						'U_GROUPCP' => $server_url . '?' . POST_GROUPS_URL . "=$group_id")
					);
					$emailer->send();
					$emailer->reset();
					
				}

				unset($user_id);
				$i++;
			}
// Mail sent?
		$message = $lang['Rp_notice_sent'] . "<br /><br />" . sprintf($lang['Click_return_referlist'], "<a href=\"" . append_sid("admin_rp_clean.$phpEx") . "\">", "</a>") . "<br /><br />" . sprintf($lang['Click_return_admin_index'], "<a href=\"" . append_sid("index.$phpEx?pane=right") . "\">", "</a>");

			message_die(GENERAL_MESSAGE, $message);
		}
		break;
// end email
	default:

// Display Non active or zero posts users
	$template->set_filenames(array(
	  'body' => 'admin/rp_clean_body.tpl')
	);


		$hidden_fields = '<input type="hidden" name="start" value="' . $start . '">';

// Template vars
		$template->assign_vars(array(
			'L_RP_USER_TITLE' => $lang['Rp_user_title'],
			'L_RP_USER_DESCRIPTION' => $lang['Rp_user_description'],
			'L_RP_EMAIL' => $lang['Rp_users_email'],
			'L_RP_SELECT' => $lang['Rp_select'],
			'L_RP_ACTIVE' => $lang['Rp_active'],
			'L_RP_LAST_ACTIVE' => $lang['Rp_last_active'],
			'L_RP_NEVER' => $lang['Rp_never'],
			'L_RP_USERNAME' => $lang['Rp_username'],
			'L_RP_POSTS' => $lang['Rp_posts'],
			'L_RP_JOIN' => $lang['Rp_join'],
			'L_RP_ORDER' => $lang['Rp_order'],
			'L_RP_DISPLAY' => $lang['Rp_display'],
			'L_RP_HEADER_TITLE_D' => $lang['Rp_header_title_d'],
			'L_RP_USER_EXPLAIN' => $lang['Rp_user_explain'],
			'L_RP_OPTION' => $lang['Rp_option'],
			'L_RP_SUBMIT' => $lang['Rp_submit'],
			'L_RP_NOTICE_SENT' => $lang['Rp_notice_sent'],

			'S_RP_USER_VAR' => POST_USERS_URL,
			'S_ACTION' => append_sid($phpbb_root_path . 'admin/admin_rp_clean.'.$phpEx),
			'L_DELETE' => $lang['Rp_user_delete'],
			'S_SHOW' => $show,
			'S_SORT' => $lang['Rp_resetc'],
			'S_HIDDEN_FIELDS' => $hidden_fields)
		);

		$sql = "SELECT * 
			FROM " . USERS_TABLE . "
			WHERE user_id <> " . ANONYMOUS . "
			AND (user_active = " . 0 ."
				OR user_posts = " . 0 .")
			$alpha_where 
			$order_by
			LIMIT $start, $show";

		if( !($result = $db->sql_query($sql)) )
		{
			message_die(GENERAL_ERROR, $lang['Rp_error_query'], '', __LINE__, __FILE__, $sql);
		}

// loop through users
		$i = 1;
		while ( $row = $db->sql_fetchrow($result) )
		{

// User row template vars
		$template->assign_block_vars('user_row', array(
			'ROW_CLASS' => ( !($i % 2) ) ? $theme['td_class1'] : $theme['td_class2'],

			'EMAIL' => $row['user_email'],
			'USER_ID' => $row['user_id'],
			'ACTIVE' => ( $row['user_active'] == TRUE ) ? $lang['Yes'] : $lang['No'],
			'USERNAME' => $row['username'],
			'U_PROFILE' => append_sid($phpbb_root_path . 'profile.'.$phpEx.'?mode=viewprofile&amp;' . POST_USERS_URL . '=' . $row['user_id']),
			'JOINED' => create_date('d M Y', $row['user_regdate'], $board_config['board_timezone']),
			'LAST_ACTIVITY' => ( !empty($row['user_session_time']) ) ? create_date('d M Y', $row['user_session_time'], $board_config['board_timezone']) : $lang['Rp_never'],
			'POSTS' => ( $row['user_posts'] ) ? $row['user_posts'] : 0,
			)
		);
				
		$i++;
	}

		$db->sql_freeresult($result);
// Pagination
		$count_sql = "SELECT count(user_id) AS total 
			FROM " . USERS_TABLE . " 
			WHERE user_id <> " . ANONYMOUS . "
			AND (user_posts = " . 0 ."
				OR user_active = " . 0 .") $alpha_where";

		if ( !($count_result = $db->sql_query($count_sql)) )
		{
			message_die(GENERAL_ERROR, $lang['Rp_error_query_total'], '', __LINE__, __FILE__, $sql);
		}

		if ( $total = $db->sql_fetchrow($count_result) )
		{
			$total_members = $total['total'];

			$pagination = generate_pagination($phpbb_root_path . "admin/admin_rp_clean.$phpEx?sort=$sort&amp;order=$sort_order&amp;show=$show" . ( ( isset($alphanum) ) ? "&amp;alphanum=$alphanum" : '' ), $total_members, $show, $start);
		}

		$template->assign_vars(array(
			'PAGINATION' => $pagination,
			'PAGE_NUMBER' => sprintf($lang['Page_of'], ( floor( $start / $show ) + 1 ), ceil( $total_members / $show )))
		);
// end Pagination
		break;

} // switch()

$template->pparse('body');

include('./page_footer_admin.'.$phpEx);

?>