<?php
/***************************************************************************
 *                             admin_rp_forum.php
 *                              -------------------
 *  begin               : Monday, April 04, 2005
 *  copyright           : (C) 2005 MentalMaze
 *  email               : NA
 *	Version				: 0.1.9 - 07/17/2005   
 *
****************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/

define('IN_PHPBB', 1);

if( !empty($setmodules))
{
        $filename = append_sid(basename(__FILE__));
	$module['Referral_Plus']['View Forum'] = $filename;
        return;
}

$phpbb_root_path = './../';
require($phpbb_root_path . 'extension.inc');
require('pagestart.' . $phpEx);
include($phpbb_root_path . 'language/lang_' . $board_config['default_lang'] . '/lang_extend_rp.' . $phpEx);

$mode = isset($HTTP_GET_VARS['mode']) ? htmlspecialchars($HTTP_GET_VARS['mode']) : '';
if (isset($HTTP_POST_VARS['submit']))
{
	$mode = 'submit';
}
//
// Pull all config data
//
$sql = "SELECT *
        FROM " . CONFIG_TABLE;
if(!$result = $db->sql_query($sql))
{
       message_die(CRITICAL_ERROR, 'Could not query config information.', '', __LINE__, __FILE__, $sql);
}

while($row = $db->sql_fetchrow($result))
{
       $config_name = $row['config_name'];
       $config_value = $row['config_value'];
       $default_config[$config_name] = $config_value;
       
       $new[$config_name] = isset($HTTP_POST_VARS[$config_name]) ? htmlspecialchars($HTTP_POST_VARS[$config_name]) : $default_config[$config_name];

       if ($mode == 'submit')
       {
              $sql = "UPDATE " . CONFIG_TABLE . "
                      SET config_value = '" . addslashes($new[$config_name]) . "'
                      WHERE config_name = '" . $config_name . "'";
              if( !$db->sql_query($sql) )
              {
                     message_die(GENERAL_ERROR, $lang['Rp_error'] . $config_name . ' to ' . $new[$config_name] . ' in ' . CONFIG_TABLE, '', __LINE__, __FILE__, $sql);
              }
       }
}

if ($mode == 'submit')
{
                message_die(GENERAL_MESSAGE, sprintf($lang['Click_return_rp_forum'], '<a href="' . append_sid("admin_rp_forum.$phpEx") . '">', '</a>') . '<br /><br />' . sprintf($lang['Click_return_admin_index'], '<a href="' . append_sid("index.$phpEx?pane=right") . '">', '</a>'));
}
// Header Links
$rp_header_enable_yes = ($new['rp_header']) ? 'checked="checked"' : '';
$rp_header_enable_no = (!$new['rp_header']) ? 'checked="checked"' : '';
$rp_invite_enable_yes = ($new['rp_invite']) ? 'checked="checked"' : '';
$rp_invite_enable_no = (!$new['rp_invite']) ? 'checked="checked"' : '';

// Config Values
$rp_referc_header = $new['rp_referc_header'];
$rp_rewards = $new['rp_rewards'];
$rp_rewards_explain = $new['rp_rewards_explain'];
$rp_header = $new['rp_header'];
$rp_invite = $new['rp_invite'];
$rp_invite_header = $new['rp_invite_header'];
$rp_invite_friend = $new['rp_invite_friend'];
$rp_time = $new['rp_time'];
$rp_timem = $new['rp_timem'];
$rp_top_now_list = $new['rp_top_now_list'];
$rp_now_time = $new['rp_now_time'];
$rp_life_time_rc = $new['rp_life_time_rc'];
$rp_life_time = $new['rp_life_time'];
$rp_top10_list = $new['rp_top10_list'];
$rp_top10_list_explain = $new['rp_top10_list_explain'];


$template->set_filenames(array(
       'body' => 'admin/rp_forum_body.tpl')
);

$template->assign_vars(array(
// Overall Header Links
	'S_RP_HEADER_ON_YES' => $rp_header_enable_yes,
	'S_RP_HEADER_ON_NO' => $rp_header_enable_no,
	'S_RP_INVITE_ON_YES' => $rp_invite_enable_yes,
	'S_RP_INVITE_ON_NO' => $rp_invite_enable_no,
// Titles		
    'L_RP_FORUM_TITLE' => $lang['Rp_forum_title'],
    'L_RP_PROFILE_TITLE' => $lang['Rp_profile_title'],
	'L_RP_HEADER_TITLE_VH' => $lang['Rp_header_title_vh'],
// Enable & Explain
	'L_RP_REFER_REWARDS_EXPLAIN' => $lang['Rp_refer_rewards_explain'],
	'L_RP_REFER_EXPLAIN' => $lang['Rp_refer_explain'],
	'L_RP_REFER_PERIOD' => $lang['Rp_refer_period'],
	'L_RP_HDR_ENABLE' => $lang['Rp_hdr_enable'],
	'L_RP_HDR_EXPLAIN' => $lang['Rp_hdr_explain'],
	'L_RP_INVITE_ENABLE' => $lang['Rp_invite_enable'],
	'L_RP_INVITE_EXPLAIN' => $lang['Rp_invite_explain'],
	'L_RP_REWARDS_EXPLAIN' => $lang['Rp_rewards_explain'],
	'L_RP_REWARDS_HEADER_EXPLAIN' => $lang['Rp_rewards_header_explain'],
	'L_RP_INVITE_HEADER_EXPLAIN' => $lang['Rp_invite_header_explain'],
	'L_RP_INVITE_FRIEND_EXPLAIN' => $lang['Rp_invite_friend_explain'],
	'L_RP_FORUM_EXPLAIN' => $lang['Rp_admin_forum_explain'],
	'L_RP_PROFILE_EXPLAIN' => $lang['Rp_profile_explain'],
	'L_RP_CENTER_TITLE_RC' => $lang['Rp_center_title_rc'],
	'L_RP_REWARDS_TITLE_EXPLAIN' => $lang['Rp_rewards_title_explain'],
	'L_RP_REFER_HEADER' => $lang['Rp_refer_header'],
	'L_RP_REFER_HEADER_EXPLAIN' => $lang['Rp_refer_header_explain'],
	'L_RP_REFER_PROMO' => $lang['Rp_refer_promo'],
	'L_RP_REFER_PROMO_EXPLAIN' => $lang['Rp_refer_promo_explain'],
	'RP_VPROF_VP' => $lang['Rp_vprof_vp'],
	'RP_INVITE_M_EXPLAIN' => $lang['Rp_invite_m_explain'],
	'L_RP_REFERM_HEADER_EXPLAIN' => $lang['Rp_referm_header_explain'],
	'L_RP_REFERM_PROMO_EXPLAIN' => $lang['Rp_referm_promo_explain'],
	'L_RP_VPROF_VP_EXPLAIN' => $lang['Rp_vprof_vp_explain'],
	'L_RP_TOP10_PROMO_EXPLAIN' => $lang['Rp_top10_promo_explain'],
	'L_RP_TOP10_HEADER_EXPLAIN' => $lang['Rp_top10_header_explain'],
// Config Lang
	'RP_REFERC_HEADER' => $board_config['rp_referc_header'],
	'RP_REWARDS' => $board_config['rp_rewards'],
	'RP_REFERC_HEADER' => $board_config['rp_referc_header'],
	'RP_INVITE_HEADER' => $board_config['rp_invite_header'],
	'RP_TIME' => $board_config['rp_time'],
	'RP_TIMEM' => $board_config['rp_timem'],
	'RP_TOP10_LIST' => $board_config['rp_top10_list'],
// Viewing Referral Panel
	'S_RP_REFERC_HEADER' => $rp_referc_header,
	'S_RP_REWARDS' => $rp_rewards,
	'S_RP_REWARDS_EXPLAIN' => $rp_rewards_explain,
	'S_RP_INVITE_HEADER' => $rp_invite_header,
	'S_RP_INVITE_FRIEND' => $rp_invite_friend,
	'S_RP_INVITE_FRIEND_TIME' => $rp_invite_friend,
	'S_RP_NOW_TIME' => $rp_now_time,
	'S_RP_TIME' => $rp_time,
	'S_RP_TIMEM' => $rp_timem,
	'S_RP_LIFE_TIME_RC' => $rp_life_time_rc,
	'S_RP_LIFE_TIME' => $rp_life_time,
	'S_RP_TOP_NOW_LIST' => $rp_top_now_list,
	'S_RP_TOP10_LIST' => $rp_top10_list,
	'S_RP_TOP10_LIST_EXPLAIN' => $rp_top10_list_explain,

// Submit        
    'L_REFERRAL_VALUE_TEXT_NO' => $lang['No'],
    'L_REFERRAL_VALUE_TEXT_YES' => $lang['Yes'],
    'L_SUBMIT' => $lang['Submit'],
                
	'S_SETTINGS_ACTION' => append_sid("admin_rp_forum.$phpEx"),
	'S_HIDDEN_FIELDS' => '')
);

//
// Now Generate the information...
//
$template->pparse('body');

include('page_footer_admin.'.$phpEx);

?>
