<?php
/***************************************************************************
 *                             admin_rp_settings.php
 *                              -------------------
 *  begin               : Monday, April 04, 2005
 *  copyright           : (C) 2005 MentalMaze
 *  email               : NA
 *	Version				: 0.8.7 - 07/28/2005   
 *
****************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/

define('IN_PHPBB', 1);

if( !empty($setmodules))
{
        $filename = append_sid(basename(__FILE__));
	$module['Referral_Plus']['Referral Settings'] = $filename;
        return;
}

//
// Load default header
//
$phpbb_root_path = './../';
require($phpbb_root_path . 'extension.inc');
require('pagestart.' . $phpEx);
include($phpbb_root_path . 'language/lang_' . $board_config['default_lang'] . '/lang_extend_rp.' . $phpEx);

$mode = isset($HTTP_GET_VARS['mode']) ? htmlspecialchars($HTTP_GET_VARS['mode']) : '';
if (isset($HTTP_POST_VARS['submit']))
{
	$mode = 'submit';
}
//
// Pull all config data
//
$sql = "SELECT *
        FROM " . CONFIG_TABLE;
if(!$result = $db->sql_query($sql))
{
       message_die(CRITICAL_ERROR, 'Could not query config information.', '', __LINE__, __FILE__, $sql);
}

while($row = $db->sql_fetchrow($result))
{
       $config_name = $row['config_name'];
       $config_value = $row['config_value'];
       $default_config[$config_name] = $config_value;
       
       $new[$config_name] = isset($HTTP_POST_VARS[$config_name]) ? htmlspecialchars($HTTP_POST_VARS[$config_name]) : $default_config[$config_name];

       if ($mode == 'submit')
       {
              $sql = "UPDATE " . CONFIG_TABLE . "
                      SET config_value = '" . addslashes($new[$config_name]) . "'
                      WHERE config_name = '" . $config_name . "'";
              if( !$db->sql_query($sql) )
              {
                     message_die(GENERAL_ERROR, $lang['Rp_error'] . $config_name . ' to ' . $new[$config_name] . ' in ' . CONFIG_TABLE, '', __LINE__, __FILE__, $sql);
              }
       }
}

if ($mode == 'submit')
{
                message_die(GENERAL_MESSAGE, sprintf($lang['Click_return_rp_settings'], '<a href="' . append_sid("admin_rp_settings.$phpEx") . '">', '</a>') . '<br /><br />' . sprintf($lang['Click_return_admin_index'], '<a href="' . append_sid("index.$phpEx?pane=right") . '">', '</a>'));
}

// Truncate and rebuild row for mothly list
$mode = isset($HTTP_GET_VARS['reset']) ? htmlspecialchars($HTTP_GET_VARS['reset']) : '';

if (isset($HTTP_POST_VARS['reset']))
{
	$mode = 'reset';
}
// Get refer_top value
if ($mode == 'reset')
{

	if ($rp_top_reset_yes)
	$sql = array();
	// Would like REFER_TOP_TABLE but does not seem to work with TRUNCATE
	$sql = "TRUNCATE TABLE " . REFER_TOP_TABLE;
             if( !$db->sql_query($sql) )
			{
				   message_die(CRITICAL_ERROR, 'Could not truncate table.', '', __LINE__, __FILE__, $sql);
			}
	$sql = "INSERT INTO " . $table_prefix . "refer_top VALUES (1, '1120924817', 2, 2)";

             if( !$db->sql_query($sql) )
			{
				   message_die(CRITICAL_ERROR, 'Could not insert values.', '', __LINE__, __FILE__, $sql);
			}
		}
		else
		{
			if ($rp_top_reset_no);
		}
	
//fin Table
if ($mode == 'reset')
{
				message_die(GENERAL_MESSAGE, sprintf($lang['Click_return_rp_time_settings'], '<a href="' . append_sid("admin_rp_settings.$phpEx") . '">', '</a>') . '<br /><br />' . sprintf($lang['Click_return_admin_index'], '<a href="' . append_sid("index.$phpEx") . '">', '</a>'));
}
// Enable
$rp_enable_yes = ($new['rp_enable']) ? 'checked="checked"' : '';
$rp_enable_no = (!$new['rp_enable']) ? 'checked="checked"' : '';
$rp_rewards_enable_yes = ($new['rp_rewards_enable']) ? 'checked="checked"' : '';
$rp_rewards_enable_no = (!$new['rp_rewards_enable']) ? 'checked="checked"' : '';

$rp_default_id = $new['rp_default_id'];
$rp_refer_new_posts = $new['rp_refer_new_posts'];
$rp_posts_allowed = $new['rp_posts_allowed'];

// Config Values
$rp_time = $board_config['rp_time'];
$rp_timem = $board_config['rp_timem'];
$rp_email = $board_config['rp_email'];
$rp_board = $board_config['rp_board'];

// Rewards
$rp_admin_id = $new['rp_admin_id'];
$rp_reward = $new['rp_reward'];
$rp_gold = $new['rp_gold'];

// Forum url and user manage email
$rp_email = $new['rp_email'];

// top 10 lists
$rp_top_list_enabled_yes = ($new['rp_top_list_enabled']) ? 'checked="checked"' : '';
$rp_top_list_enabled_no = (!$new['rp_top_list_enabled']) ? 'checked="checked"' : '';
$rp_rtop_enable_yes = ($new['rp_rtop_enable']) ? 'checked="checked"' : '';
$rp_rtop_enable_no = (!$new['rp_rtop_enable']) ? 'checked="checked"' : '';

$template->set_filenames(array(
       'body' => 'admin/rp_settings_body.tpl')
);

$template->assign_vars(array(
	'S_RP_ON_YES' => $rp_enable_yes,
	'S_RP_ON_NO' => $rp_enable_no,
	'S_RP_DEFAULT_ID' => $rp_default_id,
	'S_RP_REFER_NEW_POSTS' => $rp_refer_new_posts,
	'S_RP_POSTS_ALLOWED' => $rp_posts_allowed,
// Settings Rewards
	'S_RP_R_ON_YES' => $rp_rewards_enable_yes,
	'S_RP_R_ON_NO' => $rp_rewards_enable_no,
// Admin value
	'S_RP_ADMIN_ID' => $rp_admin_id,
// Reward Type/Amount
	'S_RP_REWARD' => $rp_reward,
	'S_RP_GOLD' => $rp_gold,
// Top 10 Lists
	'S_RP_RTT_ON_YES' => $rp_top_list_enabled_yes,
	'S_RP_RTT_ON_NO' => $rp_top_list_enabled_no,
	'S_RP_RT_ON_YES' => $rp_rtop_enable_yes,
	'S_RP_RT_ON_NO' => $rp_rtop_enable_no,
// Config
	'RP_TIME' => $rp_time,
	'RP_TIMEM' => $rp_timem,
// Forum url and user manage email
	'S_RP_EMAIL' => $rp_email,
	'S_RP_BOARD' => $rp_board,
// Titles		
    'L_RP_TITLE' => $lang['Rp_admin_title'],
	'L_RP_HEADER_TITLE_VH' => $lang['Rp_header_title_vh'],
// Enable & Explain
	'L_RP_ENABLE' => $lang['Rp_enable'],
	'L_RP_ENABLE_EXPLAIN' => $lang['Rp_enable_explain'],
	'L_RP_ADMIN_ID' => $lang['Rp_admin_id'],
	'L_RP_ADMIN_ID_EXPLAIN' => $lang['Rp_admin_id_explain'],
	'L_RP_HDR_ENABLE' => $lang['Rp_hdr_enable'],
	'L_RP_HDR_EXPLAIN' => $lang['Rp_hdr_explain'],
	'L_RP_INVITE_ENABLE' => $lang['Rp_invite_enable'],
	'L_RP_INVITE_EXPLAIN' => $lang['Rp_invite_explain'],
	'L_RP_TITLE_EXPLAIN' => $lang['Rp_admin_title_explain'],
	'L_RP_DEFAULT_ID' => $lang['Rp_default_id'],
    'L_RP_DEFAULT_ID_EXPLAIN' => $lang['Rp_default_id_explain'],
    'L_RP_REFER_NEW_POSTS' => $lang['Rp_refer_new_posts'],
    'L_RP_REFER_NEW_POSTS_EXPLAIN' => $lang['Rp_refer_new_posts_explain'],
    'L_RP_POSTS_ALLOWED' => $lang['Rp_posts_allowed'],
    'L_RP_POSTS_ALLOWED_EXPLAIN' => $lang['Rp_posts_allowed_explain'],
	'L_RP_REWARDS_TITLE_EXPLAIN' => $lang['Rp_rewards_title_explain'],
	'L_RP_RTP_ENABLE_EXPLAIN' => $lang['Rp_rtp_enable_explain'],
	'L_RP_FORUM_URL' => $lang['Rp_forum_url'],
	'L_RP_FORUM_URL_EXPLAIN' => $lang['Rp_forum_url_explain'],
	'L_RP_EMAIL_BODY' => $lang['Rp_email_body'],
	'L_RP_EMAIL_BODY_EXPLAIN' => $lang['Rp_email_body_explain'],
	'L_RP_BOARD_ADMIN_BODY' => $lang['Rp_board_admin_body'],
	'L_RP_BOARD_BODY_EXPLAIN' => $lang['Rp_board_body_explain'],
// Explain and Enable Admin Values		
	'L_RP_R_ENABLE' => $lang['Rp_r_enable'],
	'L_RP_R_ENABLE_EXPLAIN' => $lang['Rp_r_enable_explain'],
	'L_RP_RTT_ENABLE' => $lang['Rp_rtt_enable'],
	'L_RP_RTT_ENABLE_EXPLAIN' => $lang['Rp_rtt_enable_explain'],
	'L_RP_RT_ENABLE' => $lang['Rp_rt_enable'],
	'L_RP_RT_ENABLE_EXPLAIN' => $lang['Rp_rt_enable_explain'],
// Reward Types Explain
    'L_RP_REWARDS_TITLE' => $lang['Rp_rewards_title'],
	'L_RP_REFER_REWARD' => $lang['Rp_refer_reward'],
	'L_RP_REFER_REWARD_EXPLAIN' => $lang['Rp_refer_reward_explain'],	
	'L_RP_REFER_CREDIT' => $lang['Rp_refer_credit'],
	'L_RP_REFER_CREDIT_EXPLAIN' => $lang['Rp_refer_credit_explain'],
// Explain reset
	'L_RP_RESET' => $lang['Rp_reset'],
	'L_RP_RESET_EXPLAIN' => $lang['Rp_reset_explain'],
	'L_RP_RESETB_EXPLAIN' => $lang['Rp_resetb_explain'],
    'L_RP_RESET_TITLE' => $lang['Rp_admin_reset_title'],
	'L_RP_RESETB_TITLE' => $lang['Rp_admin_resetb_title'],
	'L_RP_TIME_TITLE' => $lang['Rp_admin_time_title'],
// Submit        
    'L_REFERRAL_VALUE_TEXT_NO' => $lang['No'],
    'L_REFERRAL_VALUE_TEXT_YES' => $lang['Yes'],
    'L_SUBMIT' => $lang['Submit'],
                
	'S_SETTINGS_ACTION' => append_sid("admin_rp_settings.$phpEx"),
	'S_HIDDEN_FIELDS' => '')
);

//
// Now Generate the information...
//
$template->pparse('body');

include('page_footer_admin.'.$phpEx);

?>
