<?php 
/*************************************************************************** 
 *                              rp_top_lists.php 
 *                              ------------------- 
 *  begin               : Monday, April 04, 2005 
 *  copyright           : (C) 2005 MentalMaze 
 *  email               : NA  
 *  Version				: 0.1.2 - 07/13/2005  
 * 
****************************************************************************/ 

/*************************************************************************** 
 * 
 *   This program is free software; you can redistribute it and/or modify 
 *   it under the terms of the GNU General Public License as published by 
 *   the Free Software Foundation; either version 2 of the License, or 
 *   (at your option) any later version. 
 * 
 ***************************************************************************/ 

/************************************************************************** 
*   This file will be used for linking to the Top 10 Referrals 
**************************************************************************/ 

define('IN_PHPBB', true); 
$phpbb_root_path = './'; 
include($phpbb_root_path . 'extension.inc'); 
include($phpbb_root_path . 'common.'.$phpEx);
include($phpbb_root_path . 'language/lang_' . $board_config['default_lang'] . '/lang_extend_rp.' . $phpEx);

// Start session management 

$userdata = session_pagestart($user_ip, PAGE_REFER_LIST); 
init_userprefs($userdata); 

if( !$userdata['session_logged_in'] ) 
{ 
   redirect(append_sid("login.$phpEx?redirect=rp_top_rewards.$phpEx", true)); 
} 
// End session management

// Generate page 
$page_title = $lang['Rp_view_top10']; 
include($phpbb_root_path . 'includes/page_header.'.$phpEx); 

   $template->set_filenames(array( 
      "body" => "rp_list_body.tpl") 
   ); 

// All Time List Top 10
if ( ($board_config['rp_top_list_enabled'] =='1') ) 
{ 
		$refer_list = ('U_TOP');
}
else
{
	$refer_list = $lang['Rp_t_disabled'];
}

// Top Rewards List Top 10
if ( ($board_config['rp_rtop_enable']) ) 
{ 
		$refer_c_list = ('U_REWARDS');
}
else
{
	$refer_c_list = $lang['Rp_t_disableda'];
}
// Config Values
$rp_time = $board_config['rp_time'];
$rp_timem = $board_config['rp_timem'];

$template->assign_vars(array( 
	'RP_TIME' => $rp_time,
	'RP_TIMEM' => $rp_timem,
 
	'L_RP_TOPL' => $lang['Rp_topl'],
    'L_RP_MEM' => $lang['Rp_mem'],
	'L_RP_ALL_TOPL' => $lang['Rp_all_topl'],
	'L_RP_T_DISABLEDA' => $lang['Rp_t_disableda'],

	'U_TOP' => append_sid('rp_top.'.$phpEx),
	'U_REWARDS' => append_sid('rp_top_rewards.'.$phpEx),
    )
); 
if ( ($board_config['rp_enable'] =='1') && ($board_config['rp_top_list_enabled'] =='1'))
{
	$template->assign_block_vars('switch_user_top_list_enabled', array());
}
else
{
	$template->assign_block_vars('switch_user_top_list_no', array());
	}
if ( ($board_config['rp_enable'] =='1') && ($board_config['rp_rtop_enable'] =='1') )
{
	$template->assign_block_vars('switch_user_rtop_enable', array());
}
else
{
	$template->assign_block_vars('switch_user_rtop_no', array());
	}

make_jumpbox('viewforum.'.$phpEx); 
$template->pparse("body"); 

include($phpbb_root_path . 'includes/page_tail.'.$phpEx); 

?>