<?php 
/*************************************************************************** 
 *                              rp_top_rewards.php 
 *                              ------------------- 
 *  begin               : Monday, April 04, 2005 
 *  copyright           : (C) 2005 MentalMaze 
 *  email               : NA  
 *  Version				: 0.3.9 - 07/27/2005  
 * 
****************************************************************************/ 

/*************************************************************************** 
 * 
 *   This program is free software; you can redistribute it and/or modify 
 *   it under the terms of the GNU General Public License as published by 
 *   the Free Software Foundation; either version 2 of the License, or 
 *   (at your option) any later version. 
 * 
 ***************************************************************************/ 

/************************************************************************** 
*   This file will be used for displaying the Top 10 Referrals 
**************************************************************************/ 

define('IN_PHPBB', true); 
$phpbb_root_path = './'; 
include($phpbb_root_path . 'extension.inc'); 
include($phpbb_root_path . 'common.'.$phpEx); 
include($phpbb_root_path . 'language/lang_' . $board_config['default_lang'] . '/lang_extend_rp.' . $phpEx);

// 
// Start session management 
// 

$userdata = session_pagestart($user_ip, PAGE_REFER_C_LIST); 
init_userprefs($userdata); 

if( !$userdata['session_logged_in'] ) 
{ 
   redirect(append_sid("login.$phpEx?redirect=rp_top_rewards.$phpEx", true)); 
} 

// 
// End session management 
//

// 
// Generate page 
// 
$page_title = $board_config['rp_time'] .'&nbsp;'. $lang['Rp_view_top10']; 
include($phpbb_root_path . 'includes/page_header.'.$phpEx); 

// 
// start switch 
// 
   $template->set_filenames(array( 
      "body" => "rp_top_rewards_body.tpl") 
   ); 

	
	$sql = "SELECT * 
      FROM " . REFER_TOP_TABLE . " 
         WHERE refer_id != '-1'"; 
	if( !$result = $db->sql_query($sql) ) 
	{ 
      message_die(GENERAL_ERROR, $lang['Rp_error_data'], $lang['Error'], __LINE__, __FILE__, $sql); 
	} 

	$rp_time = $board_config['rp_time'];
	$rp_top = $board_config['rp_top']; 
	$sql = "SELECT refer_id, username, count(refer_id) as total 
      FROM " . REFER_TOP_TABLE . ", " . USERS_TABLE . " 
         WHERE user_id=refer_id 
            AND refer_id != '-1' 
            GROUP BY refer_id 
            ORDER BY total 
            DESC LIMIT $rp_top"; 

	if ( !($result = $db->sql_query($sql)) ) 
	{ 
	   message_die(GENERAL_ERROR, $lang['Rp_error_user'], '', __LINE__, __FILE__, $sql); 
	} 
    
	$referral_rows = array();
	$referral_rows = $db->sql_fetchrowset($result); 
	$referral_count = count($referral_rows); 

	$template->assign_vars(array( 
	  "RP_TIME" => $rp_time,
      "L_RP_TOP" => $lang['Rp_top'],
	  "L_RP_ALL_TOP" => $lang['Rp_all_top'],
      "L_RP_MEM" => $lang['Rp_mem'], 
      "L_RP_REFER" => $lang['Rp_name'], 
      "L_RP_TOTAL" => $lang['Rp_total'], 
      "L_RP_T_EXPLAIN" => $lang['Rp_t_explain'],
        )); 

	// Is List enabled? 
	if ( ($board_config['rp_rtop_enable']) ) 
	{ 
	   for($i = 0; $i < $referral_count; $i++) 
		{ 

		 // GET REFERRAL USER DATA 
         $refer_id = $referral_rows[$i]['refer_id']; 
         $total_posts = $referral_rows[$i]['total']; 
         settype($refer_id, "integer"); 
         $referral_userdata = get_userdata($refer_id); 

         // build profile url 
         $temp_url_3 = append_sid("profile.$phpEx?mode=viewprofile&amp;" . POST_USERS_URL . "=" . $referral_userdata['user_id'].""); 
         $top_referral = $referral_userdata['username'] ; 

         // Icky way to decide row color, but works for now!  ;) 
         $row_color = ( !($i % 2) ) ? $theme['td_color1'] : $theme['td_color2']; 
         $row_class = ( !($i % 2) ) ? $theme['td_class1'] : $theme['td_class2']; 

         $template->assign_block_vars("refer_plus_ct", array( 
            "ROW_COLOR" => "#" . $row_color, 
            "ROW_CLASS" => $row_class,
			'USER_URL' => $temp_url_3,
            "TOP_RP_USER" => $top_referral, 
            "RP_TOTALS" => $total_posts 
         )); 
      } 
   } 
   else 
   { 
      $template->assign_block_vars("disabled", array( 
         "L_RP_T_DISABLEDA" => $lang['Rp_t_disableda']
      )); 
   }

make_jumpbox('viewforum.'.$phpEx); 
$template->pparse("body"); 

include($phpbb_root_path . 'includes/page_tail.'.$phpEx); 

?>