<?php
/***************************************************************************
 *                               rp_db_install.php
 *                            -------------------
 *
 *  begin               : Monday, May 12, 2005
 *  copyright           : (C) 2005 MentalMaze
 *  email               : NA
 *	Version				: 0.0.9 - 07/28/2005 
 *
 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/

define('IN_PHPBB', true);
$phpbb_root_path = './';
include($phpbb_root_path . 'extension.inc');
include($phpbb_root_path . 'common.'.$phpEx);

//
// Start session management
//
$userdata = session_pagestart($user_ip, PAGE_INDEX);
init_userprefs($userdata);
//
// End session management
//


if( !$userdata['session_logged_in'] )
{
	$header_location = ( @preg_match('/Microsoft|WebSTAR|Xitami/', getenv('SERVER_SOFTWARE')) ) ? 'Refresh: 0; URL=' : 'Location: ';
	header($header_location . append_sid("login.$phpEx?redirect=db_update.$phpEx", true));
	exit;
}

if( $userdata['user_level'] != ADMIN )
{
	message_die(GENERAL_MESSAGE, 'You are not authorised to access this page');
}


$page_title = 'Updating the database';
include($phpbb_root_path . 'includes/page_header.'.$phpEx);

echo '<table width="100%" cellspacing="1" cellpadding="2" border="0" class="forumline">';
echo '<tr><th>Updating the database</th></tr><tr><td><span class="genmed"><ul type="circle">';


$sql = array();
$sql[] = "CREATE TABLE " . $table_prefix . "refer_plus (
  rp_id mediumint(8) unsigned NOT NULL auto_increment,
  refer_id varchar(7) NOT NULL default '0',
  refer_new varchar(7) NOT NULL default '0',
  rp_time varchar(10) NOT NULL default '',
  PRIMARY KEY (rp_id)
) TYPE=MyISAM";
$sql[] = "INSERT INTO " . $table_prefix . "refer_plus VALUES (1, 2, 2, '1115859081')";
$sql[] = "CREATE TABLE " . $table_prefix . "refer_top (
  rp_id mediumint(8) unsigned NOT NULL auto_increment,
  refer_id varchar(7) NOT NULL default '0',
  refer_new varchar(7) NOT NULL default '0',
  rp_time varchar(10) NOT NULL default '',
  PRIMARY KEY (rp_id)
) TYPE=MyISAM";
$sql[] = "INSERT INTO " . $table_prefix . "refer_top VALUES (1, 2, 2, '1105474506')";
$sql[] = "INSERT INTO `" . $table_prefix . "config` ( `config_name` , `config_value` ) VALUES ( 'rp_default_id', '-1' )";
$sql[] = "INSERT INTO `" . $table_prefix . "config` ( `config_name` , `config_value` ) VALUES ( 'rp_enable', '1' )";
$sql[] = "INSERT INTO `" . $table_prefix . "config` ( `config_name` , `config_value` ) VALUES ( 'rp_rtop_enable', '1' )";
$sql[] = "INSERT INTO `" . $table_prefix . "config` ( `config_name` , `config_value` ) VALUES ( 'rp_rewards_enable', '0' )";
$sql[] = "INSERT INTO `" . $table_prefix . "config` ( `config_name` , `config_value` ) VALUES ( 'rp_refer_new_posts', '5' )";
$sql[] = "INSERT INTO `" . $table_prefix . "config` ( `config_name` , `config_value` ) VALUES ( 'rp_posts_allowed', '1' )";
$sql[] = "INSERT INTO `" . $table_prefix . "config` ( `config_name` , `config_value` ) VALUES ( 'rp_gold', '1000' )";
$sql[] = "INSERT INTO `" . $table_prefix . "config` ( `config_name` , `config_value` ) VALUES ( 'rp_top', '10' )";
$sql[] = "INSERT INTO `" . $table_prefix . "config` ( `config_name` , `config_value` ) VALUES ( 'rp_time', 'Current Referrals' )";
$sql[] = "INSERT INTO `" . $table_prefix . "config` ( `config_name` , `config_value` ) VALUES ( 'rp_timem', 'Life Time Referrals' )";
$sql[] = "INSERT INTO `" . $table_prefix . "config` ( `config_name` , `config_value` ) VALUES ( 'rp_reward', 'user_gold' )";
$sql[] = "INSERT INTO `" . $table_prefix . "config` ( `config_name` , `config_value` ) VALUES ( 'rp_top10_list', 'Top 10 Referrals' )";
$sql[] = "INSERT INTO `" . $table_prefix . "config` ( `config_name` , `config_value` ) VALUES ( 'rp_top10_list_explain', 'All Time Top 10 List of Members Who Have Referred New Members.' )";
$sql[] = "INSERT INTO `" . $table_prefix . "config` ( `config_name` , `config_value` ) VALUES ( 'rp_life_time', '= the Number of Friends You have Referred. To Invite a Friend and Get Credits on Your Account, Please visit the:' )";
$sql[] = "INSERT INTO `" . $table_prefix . "config` ( `config_name` , `config_value` ) VALUES ( 'rp_now_time', '= the Total Number of Friends You have Referred During our Current Promotion.' )";
$sql[] = "INSERT INTO `" . $table_prefix . "config` ( `config_name` , `config_value` ) VALUES ( 'rp_top_list_enabled', '1' )";
$sql[] = "INSERT INTO `" . $table_prefix . "config` ( `config_name` , `config_value` ) VALUES ( 'rp_header', '1' )";
$sql[] = "INSERT INTO `" . $table_prefix . "config` ( `config_name` , `config_value` ) VALUES ( 'rp_invite', '1' )";
$sql[] = "INSERT INTO `" . $table_prefix . "config` ( `config_name` , `config_value` ) VALUES ( 'rp_email', 'We are removing members from our database that are no longer active on our forum. If you wish to keep your account active, please visit our site and your account will not be de-activated.' )";
$sql[] = "INSERT INTO `" . $table_prefix . "config` ( `config_name` , `config_value` ) VALUES ( 'rp_board', 'About forum.' )";
$sql[] = "INSERT INTO `" . $table_prefix . "config` ( `config_name` , `config_value` ) VALUES ( 'rp_invite_header', 'Invite a Friend' )";
$sql[] = "INSERT INTO `" . $table_prefix . "config` ( `config_name` , `config_value` ) VALUES ( 'rp_invite_friend', 'Send Emails to Invite Friends to Join this Forum.' )";
$sql[] = "INSERT INTO `" . $table_prefix . "config` ( `config_name` , `config_value` ) VALUES ( 'rp_top_now_list', 'Current Referrals Top 10 List of Members Who Have Referred New Members to our forum .' )";
$sql[] = "INSERT INTO `" . $table_prefix . "config` ( `config_name` , `config_value` ) VALUES ( 'rp_admin_id', '2' )";
$sql[] = "INSERT INTO `" . $table_prefix . "config` ( `config_name` , `config_value` ) VALUES ( 'rp_life_time_rc', '= the Total Number of Friends You have Referred to our forum.' )";
$sql[] = "INSERT INTO `" . $table_prefix . "config` ( `config_name` , `config_value` ) VALUES ( 'rp_rewards', 'Current Rewards' )";
$sql[] = "INSERT INTO `" . $table_prefix . "config` ( `config_name` , `config_value` ) VALUES ( 'rp_rewards_explain', '= Your Rewards Total for Referring New Members!' )";
$sql[] = "INSERT INTO `" . $table_prefix . "config` ( `config_name` , `config_value` ) VALUES ( 'rp_referc_header', 'Referral Center' )";

for( $i = 0; $i < count($sql); $i++ )
{
	if( !$result = $db->sql_query ($sql[$i]) )
	{
		$error = $db->sql_error();

		echo '<li>' . $sql[$i] . '<br /> +++ <font color="#FF0000"><b>Error:</b></font> ' . $error['message'] . '</li><br />';
	}
	else
	{
		echo '<li>' . $sql[$i] . '<br /> +++ <font color="#00AA00"><b>Successfull</b></font></li><br />';
	}
}


echo '</ul></span></td></tr><tr><td class="catBottom" height="28">&nbsp;</td></tr>';

echo '<tr><th>End</th></tr><tr><td><span class="genmed">Referral Plus DB setup is now complete. Please be sure to delete this file now.<br />If you have run into any errors, please visit the <a href="PhpBB.com Referral Plus Topic" target="http://www.phpbb.com/phpBB/viewtopic.php?t=288885</a> for the latest updates.</span></td></tr>';
echo '<tr><td class="catBottom" height="28" align="center"><span class="genmed"><a href="' . append_sid("admin/index.$phpEx") . '">Referral Plus</a></span></td></table>';

include($phpbb_root_path . 'includes/page_tail.'.$phpEx);

?>